Skip to content
vviinn DocsDocs Beta

Predict Product Data

POST
/product/{product-id}/predicted-attributes
curl --request POST \
--url https://api.vviinn.com/product/120857/predicted-attributes \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "attributes": [ "example" ] }'

This endpoint predicts the fields of a single product, already existing in your product catalog. In addition to the fields of the products, the response also contains information about the product’s images.

product-id
required
string
Example
120857
Media typeapplication/json
object
attributes
Array<string>
Examplegenerated
{
"attributes": [
"example"
]
}

OK

Media typeapplication/json
object
id
required

The id of the product to which the predictions belong

string
attributes
required

Each object represents a field of the product with its predicted value

Array<object>

This object contains a prediction for an attribute

object
name
required

The attribute’s name

string
value
required

The attribute’s known value (according to the product catalog)

nullable
prediction
required

The attribute’s predicted value

nullable
confirmed

The value that was confirmed by a user

nullable
images
required

Each object represents an image of the product with its predicted fields

Array<object>
object
url
required

The url that identifies the image

string
attributes
required

Each object represents an attribute of the image with its predicted value

Array<object>

This object contains a prediction for an attribute

object
name
required

The attribute’s name

string
value
required

The attribute’s known value (according to the product catalog)

nullable
prediction
required

The attribute’s predicted value

nullable
confirmed

The value that was confirmed by a user

nullable
Example
{
"id": "0010020000VR",
"attributes": [
{
"name": "color",
"value": "red",
"prediction": "orange",
"confirmed": "peach"
}
],
"images": [
{
"url": "https://www.example.org/image.jpg",
"attributes": [
{
"name": "color",
"value": "red",
"prediction": "orange",
"confirmed": "peach"
}
]
}
]
}

Generic Error

Media typeapplication/json
object
message
string
Example
{
"message": "Generic Error"
}

Authentication Error

Media typeapplication/json
Example
{
"message": "Authentication Error"
}

Authorization Error

Media typeapplication/json
Example
{
"message": "Authorization Error"
}

Generic Error

Media typeapplication/json
object
message
string
Example
{
"message": "Generic Error"
}

Generic Error

Media typeapplication/json
object
message
string
Example
{
"message": "Generic Error"
}

Generic Error

Media typeapplication/json
object
message
string
Example
{
"message": "Generic Error"
}